const wx = require('weixin-js-sdk');
const config = require('@/static/config.js');
export default {
	install(Vue){
		Vue.mixin({
			data(){
				return {
					
				}
			},
			onLoad() {
			
			},
			methods:{
				config(title,desc,link,imgUrl){
					wx.showMenuItems({
						menuList: [ "menuItem:share:appMessage","menuItem:share:timeline"] // 要显示的菜单项，所有menu项见附录3
					});
					wx.updateAppMessageShareData({ //分享给朋友
						title: title, // 分享标题
						desc: desc, // 分享描述
						link: link, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
						imgUrl: imgUrl, // 分享图标
						success: function() {
							// 设置成功
						}
					});
					wx.updateTimelineShareData({ //分享到朋友圈
						title: title, // 分享标题
						link: link, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
						imgUrl: imgUrl, // 分享图标
						success: function() {
							// 设置成功
						}
					});
					
				}
			}
		})
	}
}